Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.classic.sharing
Class SharedSpaceProperties

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.classic.sharing.SharedSpaceProperties

public class SharedSpaceProperties
extends java.lang.Object

Id: SharedSpaceProperties.java,v 1.0 15 avr. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: SharedSpaceProperties Original Author: Yohan Colmant

Constructor Summary
`SharedSpaceProperties()` CONSTRUCTOR

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`java.lang.String` | `getFromKey()`
`java.lang.String` | `getSpaceRootPath()`
`java.lang.String` | `getTargetDisplayName()`
`UserForPersonalization` | `getUser()`
`void` | `setFromKey(java.lang.String fromKey)`
`void` | `setSpaceRootPath(java.lang.String spaceRootPath)`
`void` | `setTargetDisplayName(java.lang.String targetDisplayName)`
`void` | `setUser(UserForPersonalization user)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedSpaceProperties

    public SharedSpaceProperties()

  CONSTRUCTOR

Method Detail

### getSpaceRootPath

    public java.lang.String getSpaceRootPath()

  Returns:
    Returns the spaceRootPath.

### setSpaceRootPath

    public void setSpaceRootPath(java.lang.String spaceRootPath)

  Parameters:
    `spaceRootPath` - The spaceRootPath to set.

### getFromKey

    public java.lang.String getFromKey()

  Returns:
    Returns the fromKey.

### setFromKey

    public void setFromKey(java.lang.String fromKey)

  Parameters:
    `fromKey` - The fromKey to set.

### getUser

    public UserForPersonalization getUser()

  Returns:
    Returns the user.

### setUser

    public void setUser(UserForPersonalization user)

  Parameters:
    `user` - The user to set.

### getTargetDisplayName

    public java.lang.String getTargetDisplayName()

  Returns:
    Returns the targetDisplayName.

### setTargetDisplayName

    public void setTargetDisplayName(java.lang.String targetDisplayName)

  Parameters:
    `targetDisplayName` - The targetDisplayName to set.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD